clear
graph drop _all
set more off

use "D:\Dropbox\Discovering cooperation paper\MIA export jul 12.dta"
keep ioname id ionumber year delegation

cd "D:\Dropbox\0 project\crepuscular 2 C\extra MIA\gfx"

sort id year

bysort id : keep if _n==1 | _n==_N

bysort id : gen exp1=delegation if _n==1
bysort id : replace exp1=exp1[_n-1] if exp1==.

bysort id : gen exp2=delegation if _n==_N
bysort id : replace exp2=exp2[_n+1] if exp2==.

gen exp3=exp2-exp1
gen exp4=0

bysort id: keep if _n==_N
sort exp3 id
replace id=_n

#delimit ; 
label define id 1 "CERN" 2 "ECCAS" 3 "NAFTA" 4 "SAARC" 5 "SELA" 6 "CCNR" 7 "EEA" 8 "ESA"
9 "GCC" 10 "COMECON" 11 "SPC" 12 "APEC" 13 "Nordic" 14 "IGAD" 15 "SACU" 16 "ALADI" 
17 "OAS" 18 "EFTA" 19 "SCO" 20 "EU" 21 "CAN" 22 "COMESA" 23 "OAPEC" 24 "Caricom"
25 "OSCE" 26 "EAC1" 27 "AMU" 28 "OECS" 29 "ASEAN" 30 "CIS" 31 "AU" 32 "PIF" 33 "SADC"
34 "LOAS" 35 "Benelux" 36 "Mercosur" 37 "SICA" 38 "COE" 39 "CEMAC" 40 "EAC2" 41 "ECOWAS"
; #delimit cr

label values id id
/* OLD
#delimit ; 
graph twoway
	rbar exp2 exp1 id, hor fc("120 120 120") lc(black) barw(0.15)
	|| rscatter exp1 exp1 id, hor m(0) mc("240 0 0") msize(*1)
	|| rscatter exp2 exp2 id, hor m(0) mc("0 0 240") msize(*1)
	||, ylabel(1(1)41, angle(horizontal) valuelabel nogrid labsize(*0.75)) ytitle("")
	xtitle("Delegation", c(black) size(small) margin(0 0 0 2))
	xlabel(0(0.1)0.7, grid glw(vthin) glc("120 120 120") labsize(small)) xmtick(##4)
	legend( order(2 "At creation" 3 "In 2019 or at dissolution") 
	cols(4) colgap(*2.5) s(*0.75) region(style(none)))	
	xsize(5) ysize(5) scale(0.7)
	graphregion(margin(l=3 r=6 b=3 t=6)) graphregion(color(white) lwidth(vthick)) plotregion(icolor(white) m(zero))
; #delimit cr
graph export delegation_sorted1.png, replace width(1000) height(1000)
*/
#delimit ; 
graph twoway
	rbar exp4 exp3 id, hor fc("120 120 120") lc(black) barw(0.15)
	|| rscatter exp4 exp4 id, hor m(Oh) mc("0 0 0") msize(*1)
	|| rscatter exp3 exp3 id, hor m(O) mc("0 0 0") msize(*1)
	||, ylabel(1(1)41, angle(horizontal) valuelabel nogrid labsize(*0.75)) ytitle("")
	xtitle("Change in delegation", c(black) size(small) margin(0 0 0 2))
	xlabel(-0.1(0.1)0.7, grid glw(vthin) glc("120 120 120") labsize(small)) xmtick(##4)
	legend( order(2 "At creation" 3 "In 2019 or at dissolution") 
	cols(4) colgap(*2.5) s(*0.75) region(style(none)))	
	xsize(5) ysize(5) scale(0.7)
	graphregion(margin(l=3 r=6 b=3 t=6)) graphregion(color(white) lwidth(vthick)) plotregion(icolor(white) m(zero))
; #delimit cr
graph export delegation_sorted2.png, replace width(1000) height(1000)